﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule.TaskUI; 

namespace GanttChart.View
{
    public partial class DialogTaskEntry : UserControl
    {
        public DialogTaskEntry()
        {
            InitializeComponent();
        }

        private void DialogTaskEntry_Load(object sender, System.EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("NoirModerne.isl");
            ultraCheckEditorViewDirectionSet.CheckedChanged += new EventHandler(ultraCheckEditorViewDirectionSet_CheckedChanged);
            this.ultraComboEditorActionType.ValueChanged += new System.EventHandler(this.ultraComboEditorActionType_ValueChanged);
        }

        private void ultraCheckEditorViewDirectionSet_CheckedChanged(object sender, EventArgs e)
        {
            // Show or hide the view direction controls based on whether view angle is used or not
            if (ultraCheckEditorViewDirectionSet.Checked)
            {
                ultraTextEditorViewDirection.Visible = true;
                ultraLabelViewDirection.Visible = true;
            }
            else
            {
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelViewDirection.Visible = false;
            }
        }

        private void ultraComboEditorActionType_ValueChanged(object sender, EventArgs e)
        {
            this.ultraGroupBoxTaskParameters.Visible = true;
            this.ultraGroupBoxObjectParameters.Visible = true;
            if (ultraComboEditorActionType.Text == "Fly To")
            {
                ultraLabelViewDirection.Visible = false; 
                ultraCheckEditorViewDirectionSet.Visible = false;
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelCommandedSpeed.Visible = true;
                ultraTextEditorCommandedSpeed.Visible = true;
                ultraLabelStartDelay.Visible = true;
                ultraTimeSpanEditorStartDelay.Visible = true;
                ultraLabelDwellTime.Visible = false;
                ultraTextEditorDwellTime.Visible = false;
                ultraLabelObjectiveSpeed.Visible = true;
                ultraTextEditorOwnshipObjSpeed.Visible = true;
                ultraLabelObjAltitude.Visible = true;
                ultraTextEditorObjAltitude.Visible = true;
                ultraLabelCaptureDistance.Visible = false;
                ultraTextEditorCaptureDistance.Visible = false;
                ultraLabelStandoffDistance.Visible = false;
                ultraTextEditorStandoffDistance.Visible = false;
                ultraLabelLoiterRadius.Visible = false;
                ultraTextEditorLoiterRadius.Visible = false;
                ultraLabelLoiterType.Visible = false;
                ultraComboEditorLoiterType.Visible = false;
                ultraLabelZoomLevel.Visible = false;
                ultraComboEditorZoomLevel.Visible = false; 
                ultraLabelTargetType.Visible = true;
                ultraComboEditorTargetType.Visible = true;
                //ultraComboEditorTargetType.SelectedText = "Waypoint"; 
                ultraLabelLLA.Visible = true;
                ultraTextEditorLLA.Visible = true;
                ultraLabelRouteUniqueID.Visible = true;
                ultraTextEditorRouteUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Text = "WaypointID"; 
                ultraTextEditorAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedCount.Visible = false;
                ultraTextEditorAssociatedCount.Visible = false; 
            }
            else if (ultraComboEditorActionType.Text == "Survey")
            {
                ultraLabelViewDirection.Visible = true; 
                ultraCheckEditorViewDirectionSet.Visible = true;
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelCommandedSpeed.Visible = false;
                ultraTextEditorCommandedSpeed.Visible = false;
                ultraLabelStartDelay.Visible = true;
                ultraTimeSpanEditorStartDelay.Visible = true;
                ultraLabelDwellTime.Visible = true;
                ultraTextEditorDwellTime.Visible = true;
                ultraLabelObjectiveSpeed.Visible = false;
                ultraTextEditorOwnshipObjSpeed.Visible = false;
                ultraLabelObjAltitude.Visible = false;
                ultraTextEditorObjAltitude.Visible = false;
                ultraLabelCaptureDistance.Visible = false;
                ultraTextEditorCaptureDistance.Visible = false;
                ultraLabelStandoffDistance.Visible = true;
                ultraTextEditorStandoffDistance.Visible = true;
                ultraLabelLoiterRadius.Visible = false;
                ultraTextEditorLoiterRadius.Visible = false;
                ultraLabelLoiterType.Visible = false;
                ultraComboEditorLoiterType.Visible = false;
                ultraLabelZoomLevel.Visible = true;
                ultraComboEditorZoomLevel.Visible = true; 
                ultraLabelTargetType.Visible = true;
                ultraComboEditorTargetType.Visible = true;
                ultraLabelLLA.Visible = true;
                ultraTextEditorLLA.Visible = true;
                ultraLabelRouteUniqueID.Visible = true;
                ultraTextEditorRouteUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Text = "WaypointID";
                ultraTextEditorAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedCount.Visible = false;
                ultraTextEditorAssociatedCount.Visible = false; 
            }
            else if (ultraComboEditorActionType.Text == "Loiter")
            {
                ultraLabelViewDirection.Visible = false; 
                ultraCheckEditorViewDirectionSet.Visible = false;
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelCommandedSpeed.Visible = false;
                ultraTextEditorCommandedSpeed.Visible = false;
                ultraLabelStartDelay.Visible = true;
                ultraTimeSpanEditorStartDelay.Visible = true;
                ultraLabelDwellTime.Visible = false;
                ultraTextEditorDwellTime.Visible = false;
                ultraLabelObjectiveSpeed.Visible = true;
                ultraTextEditorOwnshipObjSpeed.Visible = true;
                ultraLabelObjAltitude.Visible = true;
                ultraTextEditorObjAltitude.Visible = true;
                ultraLabelCaptureDistance.Visible = false;
                ultraTextEditorCaptureDistance.Visible = false;
                ultraLabelStandoffDistance.Visible = false;
                ultraTextEditorStandoffDistance.Visible = false;
                ultraLabelLoiterRadius.Visible = true;
                ultraTextEditorLoiterRadius.Visible = true;
                ultraLabelLoiterType.Visible = true;
                ultraComboEditorLoiterType.Visible = true;
                ultraLabelZoomLevel.Visible = false;
                ultraComboEditorZoomLevel.Visible = false; 
                ultraLabelTargetType.Visible = true;
                ultraComboEditorTargetType.Visible = true;
                //ultraComboEditorTargetType.SelectedText = "Waypoint";
                ultraLabelLLA.Visible = true;
                ultraTextEditorLLA.Visible = true;
                ultraLabelRouteUniqueID.Visible = true;
                ultraTextEditorRouteUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedUniqueID.Text = "WaypointID";
                ultraTextEditorAssociatedUniqueID.Visible = true;
                ultraLabelAssociatedCount.Visible = false;
                ultraTextEditorAssociatedCount.Visible = false; 
            }
            else if (ultraComboEditorActionType.Text == "Track")
            {
                ultraLabelViewDirection.Visible = false; 
                ultraCheckEditorViewDirectionSet.Visible = false;
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelCommandedSpeed.Visible = false;
                ultraTextEditorCommandedSpeed.Visible = false;
                ultraLabelStartDelay.Visible = false;
                ultraTimeSpanEditorStartDelay.Visible = false;
                ultraLabelDwellTime.Visible = false;
                ultraTextEditorDwellTime.Visible = false;
                ultraLabelObjectiveSpeed.Visible = false;
                ultraTextEditorOwnshipObjSpeed.Visible = false;
                ultraLabelObjAltitude.Visible = false;
                ultraTextEditorObjAltitude.Visible = false;
                ultraLabelCaptureDistance.Visible = false;
                ultraTextEditorCaptureDistance.Visible = false;
                ultraLabelStandoffDistance.Visible = false;
                ultraTextEditorStandoffDistance.Visible = false;
                ultraLabelLoiterRadius.Visible = false;
                ultraTextEditorLoiterRadius.Visible = false;
                ultraLabelLoiterType.Visible = false;
                ultraComboEditorLoiterType.Visible = false;
                ultraLabelZoomLevel.Visible = false;
                ultraComboEditorZoomLevel.Visible = false; 
                ultraLabelTargetType.Visible = false;
                ultraComboEditorTargetType.Visible = false;
                //ultraComboEditorTargetType.SelectedText = "Waypoint";
                ultraLabelLLA.Visible = false;
                ultraTextEditorLLA.Visible = false;
                ultraLabelRouteUniqueID.Visible = false;
                ultraTextEditorRouteUniqueID.Visible = false;
                ultraLabelAssociatedUniqueID.Visible = false;
                ultraLabelAssociatedUniqueID.Text = "WaypointID";
                ultraTextEditorAssociatedUniqueID.Visible = false;
                ultraLabelAssociatedCount.Visible = false;
                ultraTextEditorAssociatedCount.Visible = false; 
            }
            else if (ultraComboEditorActionType.Text == "Lase")
            {
                ultraLabelViewDirection.Visible = false;
                ultraCheckEditorViewDirectionSet.Visible = false;
                ultraTextEditorViewDirection.Visible = false;
                ultraLabelCommandedSpeed.Visible = false;
                ultraTextEditorCommandedSpeed.Visible = false;
                ultraLabelStartDelay.Visible = false;
                ultraTimeSpanEditorStartDelay.Visible = false;
                ultraLabelDwellTime.Visible = false;
                ultraTextEditorDwellTime.Visible = false;
                ultraLabelObjectiveSpeed.Visible = false;
                ultraTextEditorOwnshipObjSpeed.Visible = false;
                ultraLabelObjAltitude.Visible = false;
                ultraTextEditorObjAltitude.Visible = false;
                ultraLabelCaptureDistance.Visible = false;
                ultraTextEditorCaptureDistance.Visible = false;
                ultraLabelStandoffDistance.Visible = false;
                ultraTextEditorStandoffDistance.Visible = false;
                ultraLabelLoiterRadius.Visible = false;
                ultraTextEditorLoiterRadius.Visible = false;
                ultraLabelLoiterType.Visible = false;
                ultraComboEditorLoiterType.Visible = false;
                ultraLabelZoomLevel.Visible = false;
                ultraComboEditorZoomLevel.Visible = false; 
                ultraLabelTargetType.Visible = false;
                ultraComboEditorTargetType.Visible = true;
                //ultraComboEditorTargetType.SelectedItem = "Waypoint";
                ultraLabelLLA.Visible = false;
                ultraTextEditorLLA.Visible = false;
                ultraLabelRouteUniqueID.Visible = false;
                ultraTextEditorRouteUniqueID.Visible = false;
                ultraLabelAssociatedUniqueID.Visible = false;
                ultraLabelAssociatedUniqueID.Text = "WaypointID";
                ultraTextEditorAssociatedUniqueID.Visible = false;
                ultraLabelAssociatedCount.Visible = false;
                ultraTextEditorAssociatedCount.Visible = false; 
            }
        }

        private void ultraGroupBoxTaskParameters_Click(object sender, EventArgs e)
        {

        }

    }
}
