/*********************************************************************************/
/*                                                                               */
/* Title: InfragisticsGanttChartControl.xaml.cs                                                           */
/*                                                                               */
/* SBIR Data Rights                                                              */
/*                                                                               */
/* Contract No. : FA8650-10-M-6088                                               */
/*                                                                               */
/* Contractor Name: Kutta Technologies, Inc.                                     */
/* Address: 2075 W. Pinnacle Peak Rd., Suite 102, Phoenix, AZ 85027-1219         */
/*                                                                               */
/* Copyright:                                                                    */
/*    Expiration of SBIR Data Rights Period: In accordance with DFARS            */
/*    252.227-7018, expiration of SBIR Data Rights is five years after           */
/*    completion of the project, including any follow-on phases.                 */
/*                                                                               */
/*    The Government's rights to use, modify, reproduce, release, perform,       */
/*    display, or disclose technical data or computer software marked with       */
/*    this legend are restricted during the period shown as provided in          */
/*    paragraph (b)(4) of the Rights in Noncommercial Technical Data and         */
/*    Computer Software--Small Business Innovative Research (SBIR) Program       */
/*    clause contained in the above identified contract. No restrictions         */
/*    apply after the expiration date shown above. Any reproduction of           */
/*    technical data, computer software, or portions thereof marked with this    */
/*    legend must also reproduce the markings.                                   */
/*                                                                               */

/* -------- ---------------------------------------------------------------      */ 
/*                                                                               */
/*********************************************************************************/


﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GanttChart
{
   /// <summary>
   /// Interaction logic for InfragisticsGanttChartControl.xaml
   /// </summary>
   public partial class InfragisticsGanttChartControl : UserControl
   {
      public InfragisticsGanttChartControl()
      {
         InitializeComponent();
      }

      private void Control_Loaded(Object sender, RoutedEventArgs e)
      {
         // Create the host and the BindingGanttView control
         System.Windows.Forms.Integration.WindowsFormsHost host =
            new System.Windows.Forms.Integration.WindowsFormsHost();
         GanttChart.ViewModel.BindingGanttView bindingGanttView = 
            new GanttChart.ViewModel.BindingGanttView();

         // Add the BindingGanttView to the host, and the host to the WPF Grid
         bindingGanttView.TopLevel = false;
         host.Child = bindingGanttView;
         grid.Children.Add(host);

         Infragistics.Win.AppStyling.StyleManager.Load("NoirModerne.isl");
      }
   }
}
