/*********************************************************************************/
/*                                                                               */
/* Title: VehicleSpecificBindingGanttView.Designer.cs                                                           */
/*                                                                               */
/* SBIR Data Rights                                                              */
/*                                                                               */
/* Contract No. : FA8650-10-M-6088                                               */
/*                                                                               */
/* Contractor Name: Kutta Technologies, Inc.                                     */
/* Address: 2075 W. Pinnacle Peak Rd., Suite 102, Phoenix, AZ 85027-1219         */
/*                                                                               */
/* Copyright:                                                                    */
/*    Expiration of SBIR Data Rights Period: In accordance with DFARS            */
/*    252.227-7018, expiration of SBIR Data Rights is five years after           */
/*    completion of the project, including any follow-on phases.                 */
/*                                                                               */
/*    The Government's rights to use, modify, reproduce, release, perform,       */
/*    display, or disclose technical data or computer software marked with       */
/*    this legend are restricted during the period shown as provided in          */
/*    paragraph (b)(4) of the Rights in Noncommercial Technical Data and         */
/*    Computer Software--Small Business Innovative Research (SBIR) Program       */
/*    clause contained in the above identified contract. No restrictions         */
/*    apply after the expiration date shown above. Any reproduction of           */
/*    technical data, computer software, or portions thereof marked with this    */
/*    legend must also reproduce the markings.                                   */
/*                                                                               */

/* -------- ---------------------------------------------------------------      */ 
/*                                                                               */
/*********************************************************************************/


﻿using Infragistics.Win.UltraWinSchedule;
using System.Drawing;

namespace GanttChart.ViewModel
{
    partial class VehicleSpecificBindingGanttView
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            Infragistics.Win.UltraWinSchedule.TimeInterval timeInterval1 = new Infragistics.Win.UltraWinSchedule.TimeInterval();
            Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
            this.ultraGanttView1 = new Infragistics.Win.UltraWinGanttView.UltraGanttView();
            this.ultraCalendarInfo1 = new Infragistics.Win.UltraWinSchedule.UltraCalendarInfo(this.components);
            ((System.ComponentModel.ISupportInitialize)(this.ultraGanttView1)).BeginInit();
            this.SuspendLayout();
            // 
            // ultraGanttView1
            // 
            this.ultraGanttView1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraGanttView1.GridAreaWidth = 10;
            this.ultraGanttView1.Location = new System.Drawing.Point(0, 0);
            this.ultraGanttView1.Name = "ultraGanttView1";
            this.ultraGanttView1.Size = new System.Drawing.Size(292, 266);
            this.ultraGanttView1.TabIndex = 2;
            this.ultraGanttView1.Text = "ultraGanttView1";
            this.ultraGanttView1.TimelineSettings.AutoAddAdditionalInterval = false;
            this.ultraGanttView1.TimelineSettings.ColumnWidth = 25;
            timeInterval1.Interval = 5;
            timeInterval1.HeaderTextFormat = "mm";
            this.ultraGanttView1.TimelineSettings.PrimaryInterval = timeInterval1;

            TimeInterval ganttAddInterval1 = new TimeInterval(30, TimeIntervalUnits.Minutes);
            this.ultraGanttView1.TimelineSettings.AdditionalIntervals.Add(ganttAddInterval1);
            ganttAddInterval1.HeaderTextFormat = "hh:mm";
            ganttAddInterval1.HeaderTextFormatStyle = TimelineViewHeaderTextFormatStyle.FullRangeAdjusted;

            DateInterval ganttAddInterval2 = new DateInterval(1, DateIntervalUnits.Days);
            this.ultraGanttView1.TimelineSettings.AdditionalIntervals.Add(ganttAddInterval2);
            ganttAddInterval2.HeaderTextFormat = "yyyy/MM/dd";
            ganttAddInterval2.HeaderTextFormatStyle = TimelineViewHeaderTextFormatStyle.FullRangeAdjusted;

            appearance3.BackColor = System.Drawing.Color.LightBlue;
            this.ultraGanttView1.TimelineSettings.WorkingHourAppearance = appearance3;
            this.ultraGanttView1.VerticalSplitterMinimumResizeWidth = 10;
            this.ultraGanttView1.Click += new System.EventHandler(this.ultraGanttView1_Click);
            // 
            // ultraCalendarInfo1
            // 
            this.ultraCalendarInfo1.AllowRecurringAppointments = true;
            this.ultraCalendarInfo1.MinDate = new System.DateTime(1970, 1, 1, 0, 0, 0, 0);
            this.ultraCalendarInfo1.TaskDurationWorkingTimePerDay = System.TimeSpan.Parse("23:59:59");
            // 
            // RetroBindingGanttView
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(292, 266);
            this.Controls.Add(this.ultraGanttView1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
            this.Name = "VehicleSpecificBindingGanttView";
            this.Text = "VehicleSpecificBindingGanttView";
            this.Load += new System.EventHandler(this.BindingGanttView_Load);
            ((System.ComponentModel.ISupportInitialize)(this.ultraGanttView1)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        public Infragistics.Win.UltraWinGanttView.UltraGanttView ultraGanttView1;
        public Infragistics.Win.UltraWinSchedule.UltraCalendarInfo ultraCalendarInfo1;
    }
}