/*********************************************************************************/
/*                                                                               */
/* Title: VEhicleSpecificBindingGanttView.cs                                                           */
/*                                                                               */
/* SBIR Data Rights                                                              */
/*                                                                               */
/* Contract No. : FA8650-10-M-6088                                               */
/*                                                                               */
/* Contractor Name: Kutta Technologies, Inc.                                     */
/* Address: 2075 W. Pinnacle Peak Rd., Suite 102, Phoenix, AZ 85027-1219         */
/*                                                                               */
/* Copyright:                                                                    */
/*    Expiration of SBIR Data Rights Period: In accordance with DFARS            */
/*    252.227-7018, expiration of SBIR Data Rights is five years after           */
/*    completion of the project, including any follow-on phases.                 */
/*                                                                               */
/*    The Government's rights to use, modify, reproduce, release, perform,       */
/*    display, or disclose technical data or computer software marked with       */
/*    this legend are restricted during the period shown as provided in          */
/*    paragraph (b)(4) of the Rights in Noncommercial Technical Data and         */
/*    Computer Software--Small Business Innovative Research (SBIR) Program       */
/*    clause contained in the above identified contract. No restrictions         */
/*    apply after the expiration date shown above. Any reproduction of           */
/*    technical data, computer software, or portions thereof marked with this    */
/*    legend must also reproduce the markings.                                   */
/*                                                                               */

/* -------- ---------------------------------------------------------------      */ 
/*                                                                               */
/*********************************************************************************/


﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinGanttView;
using GanttChart.Model;

namespace GanttChart.ViewModel
{
    public partial class VehicleSpecificBindingGanttView : Form
    {
        //private MissionRepository taskRepo;
        #region Constructor

        public VehicleSpecificBindingGanttView()
        {
            InitializeComponent();
        }


        #endregion

        #region Private Methods

        //private MissionRepository SetupData()
        //{

        //    taskRepo = MissionRepository.Instance();
        //    return taskRepo;
        //}


        #endregion

        #region Event Handlers

        #region Form Load Event

        private void BindingGanttView_Load(object sender, EventArgs e)
        {
            // Call the method that creates a DataSet
            //taskRepo = this.SetupData();

            //  Set the BindingContextControl property to reference this form
            this.ultraCalendarInfo1.DataBindingsForTasks.BindingContextControl = this;
            this.ultraCalendarInfo1.DataBindingsForProjects.BindingContextControl = this;

            // Set the DataSource and DataMember for Project and Tasks using the SetDataBinding method
            this.ultraCalendarInfo1.DataBindingsForProjects.SetDataBinding(MissionRepository.Instance, "Missions");
            this.ultraCalendarInfo1.DataBindingsForTasks.SetDataBinding(MissionRepository.Instance, "Tasks");

            //  Set the DataBinding members for Projects 
            this.ultraCalendarInfo1.DataBindingsForProjects.IdMember = "VehicleGuid";
            this.ultraCalendarInfo1.DataBindingsForProjects.KeyMember = "VehicleID";
            this.ultraCalendarInfo1.DataBindingsForProjects.NameMember = "VehicleName";
            this.ultraCalendarInfo1.DataBindingsForProjects.StartDateMember = "MissionStartTime";

            //  Set the DataBinding members for Tasks
            // Basic Task properties 
            this.ultraCalendarInfo1.DataBindingsForTasks.NameMember = "TaskName";
            this.ultraCalendarInfo1.DataBindingsForTasks.DurationMember = "TaskDuration";
            this.ultraCalendarInfo1.DataBindingsForTasks.StartDateTimeMember = "TaskStartTime";
            this.ultraCalendarInfo1.DataBindingsForTasks.IdMember = "TaskGuid";
            this.ultraCalendarInfo1.DataBindingsForTasks.ProjectKeyMember = "VehicleID";
            this.ultraCalendarInfo1.DataBindingsForTasks.ParentTaskIdMember = "ParentTaskGuid";
            this.ultraCalendarInfo1.DataBindingsForTasks.PercentCompleteMember = "TaskPercentComplete";
            // All other properties
            this.ultraCalendarInfo1.DataBindingsForTasks.AllPropertiesMember = "AllProperties";

            //  Since we are showing a task that belongs to an explicitly defined
            //  project (i.e., not the UnassignedProject), assign that project to
            //  the control's Project property so the control knows to display that project.
            //this.ultraGanttView1.CalendarInfo = MissionRepository.Instance.specificVehicleRepoCalendarInfo;
            //this.ultraGanttView1.Project = MissionRepository.Instance.specificVehicleRepoProject;
            //this.ultraGanttView1.CreationFilter = new CurrentDayIndicatorCreationFilter();


            this.ultraGanttView1.GridAreaWidth = 400;

        }

        #endregion

        #endregion
        private void ultraGanttView1_MessageReceived(object sender, EventArgs e)
        {
        }

        private void ultraGanttView1_Click(object sender, EventArgs e)
        {

        }

        private void ultraGanttView1_Click_1(object sender, EventArgs e)
        {

        }
    }
}
